#python

# Title: Sync Spec

# Description: syncs the spec values (spec amount and fresnel) with the 
# reflection attributes.

if(lx.eval("item.channel advancedMaterial$physical ?") == "true"):

  currentReflectionAmount = lx.eval("item.channel advancedMaterial$reflAmt ?")
  currentReflectionFresnel = lx.eval("item.channel advancedMaterial$reflFres ?")
  
  lx.eval("item.channel advancedMaterial$specAmt %s" % currentReflectionAmount)
  lx.eval("item.channel advancedMaterial$specFres %s" % currentReflectionFresnel)
  
  lx.out(currentReflectionAmount)
  lx.out(currentReflectionFresnel)

else:

  lx.eval("item.channel advancedMaterial$physical true")
  currentReflectionAmount = lx.eval("item.channel advancedMaterial$reflAmt ?")
  currentReflectionFresnel = lx.eval("item.channel advancedMaterial$reflFres ?")
  
  lx.eval("item.channel advancedMaterial$specAmt %s" % currentReflectionAmount)
  lx.eval("item.channel advancedMaterial$specFres %s" % currentReflectionFresnel)
  


